---
sidebar_label: Page.screenshot_2
---

# Page.screenshot() method

#### Signature:

```typescript
class Page {
  screenshot(options?: ScreenshotOptions): Promise<Buffer | string>;
}
```

## Parameters

| Parameter | Type                                                  | Description  |
| --------- | ----------------------------------------------------- | ------------ |
| options   | [ScreenshotOptions](./puppeteer.screenshotoptions.md) | _(Optional)_ |

**Returns:**

Promise&lt;Buffer \| string&gt;
